cloudAttachmentSecretsConfiguration
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
This API allows you to update the account type and credentials field values for a supported secrets manager (AWS, Azure, or GCP) based on the provided input by the user. These endpoints are only for multi-tenant (cloud) runtimes. This functionality is currently only available for MCS and private clouds. It is not currently available on Boomi's public cloud.
Note:
- You must have the SECRETS_MANAGEMENT feature on the chosen account to use Secrets Management. If you want to use Secrets Management on cloud runtimes, you also need the RUNTIME_MANAGEMENT feature. Reach out to your Boomi account representative to activate these features.
- The user must have ADC set up on the system where the atom runtime is installed and running. For more information on GCP, refer to the Set up ADC for a local development environment topic.
- For GCP, you can update the secrets manager configuration credentials using either a userAccount or a serviceAccount.
Required Privileges
You need these privileges in the target environment:
Write access
- API — Use the Boomi Platform API to access account data.
- ATOM_MANAGEMENT — Configure and administer integration runtimes.
- Private Cloud Management - Configure and administer runtime clouds.
Read access
- API — Use the Boomi Platform API to access account data.
- ATOM_MANAGEMENT_READ_ONLY — Read only access to runtime configuration and administration.
- Private Cloud Management - Configure and administer runtime clouds.
Creates a Secrets Manager configuration for a particular cloud attachment
Updates the secrets manager configuration credentials for AWS, Azure, or GCP cloud attachments.
Authorizations:
path Parameters
| containerId required | string A unique ID assigned by the system to the Runtime cloud. |
Request Body schema: optional
| containerId required | string A unique ID assigned by the system to the Runtime cloud. |
required | object (CloudAttachmentSecretsManagerProvider) |
Responses
Response Schema:
| message | string The status message. |
| statusCode | integer <int32> |
Request samples
- Payload
{- "containerId": "b6fd12be-e165-4589-8f96-169913171e79",
- "secretsManagerProvider": {
- "GCP": {
- "gcpAccountType": "userAccount",
- "userAccount": {
- "gcpClientId": "32555940559.apps.googleusercontent.com",
- "gcpClientSecret": "HmssLNjJy2998hD4Cgwgww5",
- "gcpRefreshToken": "4//0gU4tT79GJGQ1CRAAGBASNwF-L9Ir_om1ab3bXomKoNNbag6r7VriGM4eOFRI4auZbsgwgweg"
}
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "CloudAttachmentSecretsConfigurationResponse",
- "statusCode": 200,
- "message": "<AWS|AZURE|GCP> secrets configuration sent successfully to cloud attachment b6fd12be-e165-4589-8f96-169913171e79"
}